
From: NeilBrown <neilb@cse.unsw.edu.au>

... otherwise we loose a reference and can never free the file.

Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/md/md.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/md/md.c~md-dont-allow-new-md-bitmap-file-to-be-set-if-one-already-exists drivers/md/md.c
--- devel/drivers/md/md.c~md-dont-allow-new-md-bitmap-file-to-be-set-if-one-already-exists	2005-08-30 18:46:11.000000000 -0700
+++ devel-akpm/drivers/md/md.c	2005-08-30 18:46:11.000000000 -0700
@@ -2430,7 +2430,7 @@ static int set_bitmap_file(mddev_t *mdde
 {
 	int err;
 
-	if (mddev->pers)
+	if (mddev->pers || mddev->bitmap_file)
 		return -EBUSY;
 
 	mddev->bitmap_file = fget(fd);
_
